Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.math
Class MaxIterationsExceededException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.apache.commons.math.MathException
                  org.apache.commons.math.ConvergenceException
                      org.apache.commons.math.MaxIterationsExceededException

All Implemented Interfaces:
  Serializable, MathThrowable

    public class MaxIterationsExceededException

extends ConvergenceException

Error thrown when a numerical computation exceeds its allowed number of iterations.

Since:
  1.2
Version:
  $Revision: 1070725 $ $Date: 2011-02-15 02:31:12 +0100 (mar. 15 fÃ©vr. 2011) $
See Also:
  Serialized Form

Constructor Summary
`MaxIterationsExceededException(int maxIterations)` Constructs an exception with a default detail message.
`MaxIterationsExceededException(int maxIterations, Localizable pattern, Object... arguments)` Constructs an exception with specified formatted detail message.
`MaxIterationsExceededException(int maxIterations, String pattern, Object... arguments)` Deprecated. as of 2.2 replaced by `MaxIterationsExceededException(int, Localizable, Object...)`

Method Summary
`int` | `getMaxIterations()` Get the maximal number of iterations allowed.

Methods inherited from class org.apache.commons.math.MathException
`getArguments, getGeneralPattern, getLocalizedMessage, getMessage, getMessage, getPattern, getSpecificPattern, printStackTrace, printStackTrace`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getStackTrace, initCause, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MaxIterationsExceededException

    public MaxIterationsExceededException(int maxIterations)

  Constructs an exception with a default detail message.

  Parameters:
    `maxIterations` - maximal number of iterations allowed

### MaxIterationsExceededException

    @Deprecated
    public MaxIterationsExceededException(int maxIterations,
                                                     String pattern,
                                                     Object... arguments)

  Deprecated. as of 2.2 replaced by `MaxIterationsExceededException(int, Localizable, Object...)`

  Constructs an exception with specified formatted detail message. Message formatting is delegated to `MessageFormat`.

  Parameters:
    `maxIterations` - the exceeded maximal number of iterations
    `pattern` - format specifier
    `arguments` - format arguments

### MaxIterationsExceededException

    public MaxIterationsExceededException(int maxIterations,
                                          Localizable pattern,
                                          Object... arguments)

  Constructs an exception with specified formatted detail message. Message formatting is delegated to `MessageFormat`.

  Parameters:
    `maxIterations` - the exceeded maximal number of iterations
    `pattern` - format specifier
    `arguments` - format arguments
  Since:
    2.2

Method Detail

### getMaxIterations

    public int getMaxIterations()

  Get the maximal number of iterations allowed.

  Returns:
    maximal number of iterations allowed

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2011 The Apache Software Foundation. All Rights Reserved.